namespace DeviceRepair.Utils.Config
{
    /// <summary>
    /// web.config中的配置项
    /// </summary>
    public class ConfigProperties
    {
        [DESEncrypted(true)]
        [Config("DbConnection")]
        public string Conn { get; set; }

        [DESEncrypted(true)]
        [Config("LogConnection")]
        public string logConn { get; set; }

        /// <summary>
        /// 加密Key
        /// </summary>
        [Config("SecureKey")]
        public string SecureKey { get; set; }

        /// <summary>
        /// 数据通讯类型
        /// api
        /// sql
        /// </summary>
        [Config("ConnType")]
        public string ConnType { get; set; }

        /// <summary>
        /// 附件存放目录
        /// </summary>
        [Config("AttachmentDirectory")]
        public string AttachmentDirectory { get; set; }

        /// <summary>
        /// WebAPI 服务器IP地址
        /// </summary>
        [Config("ServiceIP")]
        public string ServiceIP { get; set; }

        /// <summary>
        /// WebAPI 服务名称
        /// </summary>
        [Config("ServiceName")]
        public string ServiceName { get; set; }

        /// <summary>
        /// SFC 接口URL
        /// </summary>
        [Config("SFCWebServiceUrl")]
        public string SFCWebServiceUrl { get; set; }
    }
}
